Bug 475676 - Resuming from suspend or hibernate frequently crashes Xorg
Resuming from suspend or hibernate frequently crashes Xorg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 18:47 EST by Steve Hill
Modified: 2018-04-11 10:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 11:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (180 bytes, text/plain)
2008-12-17 03:57 EST, Steve Hill
no flags Details
Xorg log (117.99 KB, text/plain)
2008-12-17 03:58 EST, Steve Hill
no flags Details

  None (edit)
Description Steve Hill 2008-12-09 18:47:01 EST
Description of problem:
Using an Acer TravelMate 6410 notebook with Intel 945 GPU, resuming from suspend or hibernate always results in Xorg showing nothing but a black screen and a (movable) mouse pointer.  Sometimes it will recover and display the desktop after a few minutes, but usually it just sits there forever.  Doesn't respond to ctrl+alt+F2, but the hard drive light flickers every so often so it seems it is only Xorg which has blown up.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64

How reproducible:
Always produces a black screen, occasionally recovers after several minutes.

Steps to Reproduce:
1. Suspend or hibernate notebook
2. Wait
3. Power notebook back on
  
Actual results:
Xorg displays a black screen with the mouse pointer on it when the machine resumes and doesn't respond to ctrl+alt+F2

Expected results:
Should restore the desktop to how it was when the user suspended the machine.

Additional info:
This bug did not occur in Fedora 8.
Comment 1 Steve Hill 2008-12-11 03:42:17 EST
This looks like it might be openGL related - if only seems to happen if Compiz is running.
Comment 2 Jürgen Botz 2008-12-13 17:32:51 EST
Are you using a PAE kernel? ("uname -r" will tell you)
Comment 3 Steve Hill 2008-12-15 06:11:36 EST
Doesn't look like it is PAE:
2.6.27.7-134.fc10.x86_64

I've been running without Compiz for a few days now and the problem no longer happens, so this is definitely OpenGL/Compiz related.
Comment 4 Matěj Cepl 2008-12-16 16:45:59 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Steve Hill 2008-12-17 03:57:58 EST
Created attachment 327213 [details]
xorg.conf
Comment 6 Steve Hill 2008-12-17 03:58:52 EST
Created attachment 327214 [details]
Xorg log
Comment 7 Steve Hill 2008-12-17 04:00:05 EST
I get the same problem without any xorg.conf
Comment 8 Steve Hill 2009-06-11 04:53:49 EDT
I no longer get this under Fedora 11...  instead I get Xorg bombing out after the machine resumes (gdm then restarts Xorg and you land at the GDM login prompt).  Nothing of use in the Xorg log unfortunately. :(
Comment 9 Vedran Miletić 2009-09-06 03:27:12 EDT
In Fedora 11 package is named xorg-x11-drv-intel. Changing bugs apropriately.
Comment 10 Matěj Cepl 2009-11-05 13:21:01 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Paolo Bonzini 2009-11-26 08:10:18 EST
I saw this on F10 but not on F11, and now see it again on F12.
Comment 12 Paolo Bonzini 2009-11-26 08:11:08 EST
See bug 541603 for the F12 problem.
Comment 13 Matěj Cepl 2009-11-27 11:52:06 EST
OK, so let's kill this one and continue at bug 541603

Note You need to log in before you can comment on or make changes to this bug.